<div class="social-bg animated fadeIn">
  <div class="social-title">
    <div class="social-img">
        <img [src]="userDetails.userImage" [alt]="'userImage'">
    </div>
    
    <h4>{{'AUTH_SUCCESSFUL' | translate: lang}}</h4>
    <p class="social-txt mt-3">{{'THANK_YOU_FOR_REGISTER' | translate:lang}}<strong>{{userDetails.firstName}}{{' '}}{{userDetails.lastName}}</strong><br> 
      {{'NOT_RECEIVED_EMAIL' | translate:lang}}<strong>{{'FB' | translate: lang}}</strong>.
      {{'EMAIL_REQUIRED' | translate:lang}}
      {{'ENTER_EMAIL' | translate:lang}}</p>
  </div>

  <div class="container">
    <div class="row mt-3 mb-3 social-wrap">
      <div class="col-md-offset-3 col-md-10">
        <form [formGroup]="emailForm" (ngSubmit)="onSubmit()">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelEmail' | translate:lang}}</mat-label>
            <input matInput autocomplete="off" type="text" formControlName="userEmail" [placeholder]="'labelEmail' | translate:lang" name="userEmail"
              required/>
            <mat-hint *ngIf="(emailForm.controls['userEmail'].invalid && (emailForm.controls['userEmail'].dirty || emailForm.controls['userEmail'].touched))">
              <mat-error *ngIf="emailForm.controls['userEmail'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="emailForm.controls['userEmail'].errors.pattern && !emailForm.controls['userEmail'].errors.required">
                {{'errorValidEmail' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <div class="social-btn">
            <button mat-raised-button color="primary" [disabled]="!emailForm.valid">{{'CONTINUE_LOGIN' | translate:lang}}</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
